]> arthur.barton.de Git - bup.git/blobdiff - cmd/init-cmd.py
Remove vfs (replaced by vfs2)
[bup.git] / cmd / init-cmd.py
index 80037e94e37645b836f7fddd1b6ea7eff62fee5c..f2c0052bd5fd0d16811d8d809f52e8819c2c85a4 100755 (executable)
@@ -1,8 +1,14 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
 import sys
 
 from bup import git, options, client
-from bup.helpers import *
+from bup.helpers import log, saved_errors
 
 
 optspec = """
@@ -10,7 +16,7 @@ optspec = """
 --
 r,remote=  remote repository path
 """
-o = options.Options('bup init', optspec)
+o = options.Options(optspec)
 (opt, flags, extra) = o.parse(sys.argv[1:])
 
 if extra:
@@ -19,7 +25,7 @@ if extra:
 
 try:
     git.init_repo()  # local repo
-except git.GitError, e:
+except git.GitError as e:
     log("bup: error: could not init repository: %s" % e)
     sys.exit(1)